# List all calls

Retrieve a paginated list of calls.

Endpoint: GET /calls
Version: 2.14
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14", "Preview"

## Query parameters:

  - `page` (integer)
    The page of results to fetch. Defaults to first page
    Example: 1

  - `per_page` (integer)
    How many results to display per page. Defaults to 25. Max 25.
    Example: 25

## Response 200 fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value list.
    Example: "list"

  - `data` (array)
    A list of calls.

  - `data.type` (string)
    String representing the object's type. Always has the value call.
    Example: "call"

  - `data.id` (string)
    The id of the call.
    Example: "123"

  - `data.conversation_id` (string,null)
    The id of the conversation associated with the call, if any.
    Example: "456"

  - `data.admin_id` (string,null)
    The id of the admin associated with the call, if any.
    Example: "789"

  - `data.contact_id` (string,null)
    The id of the contact associated with the call, if any.
    Example: "6762f0dd1bb69f9f2193bb83"

  - `data.state` (string)
    The current state of the call.
    Example: "completed"

  - `data.initiated_at` (any)

  - `data.answered_at` (any)

  - `data.ended_at` (any)

  - `data.created_at` (any)

  - `data.updated_at` (any)

  - `data.recording_url` (string,null)
    API URL to download or redirect to the call recording if available.
    Example: "https://api.intercom.io/calls/123/recording"

  - `data.call_type` (string)
    The type of call.
    Example: "phone"

  - `data.direction` (string)
    The direction of the call.
    Example: "outbound"

  - `data.ended_reason` (string,null)
    The reason for the call end, if applicable.
    Example: "completed"

  - `data.phone` (string,null)
    The phone number involved in the call, in E.164 format.
    Example: "+15551234567"

  - `data.fin_recording_url` (string,null)
    API URL to the AI Agent (Fin) call recording if available.

  - `data.fin_transcription_url` (string,null)
    API URL to the AI Agent (Fin) call transcript if available.

  - `total_count` (integer)
    Total number of items available.

  - `pages` (object,null)
    Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data.
A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

  - `pages.type` (string)
    the type of object pages.
    Enum: "pages"

  - `pages.page` (integer)
    The current page
    Example: 1

  - `pages.next` (object,null)

  - `pages.next.per_page` (integer)
    The number of results to fetch per page.
    Example: 2

  - `pages.next.starting_after` (string,null)
    The cursor to use in the next request to get the next page of results.
    Example: "your-cursor-from-response"

  - `pages.per_page` (integer)
    Number of results per page
    Example: 2

  - `pages.total_pages` (integer)
    Total number of pages
    Example: 13

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


